MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002068VCMIOtherpublic2015-02-11 01:032016-10-17 12:04
ReporterSXX 
Assigned Tovmarkovtsev 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSOS Version
Product Version0.97b 
Target VersionFixed in Version0.99 
Summary0002068: On Linux game don't detect new files added to Maps directory till restart
DescriptionAs far as I get this is Linux-only problem as on Windows VCMI detect newly added files just fine.
Steps To Reproduce  - Run VCMI and go to "New Game" -> "Single Scenario"
  - Now go back to menu.
  - Add few files to "~/.local/share/vcmi/Maps" (or where it's located for you)
  - Try to open "Single Scenario" again.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0006838)
SXX (administrator)
2016-10-16 11:04

Vadim I assigned you on this one, but it's up to you if you want to work on it or no. Probably this one might be super easy for someone who worked with Boost.Filesystem before.

Personally I simply not sure if there is cross-platform way to track filesystem changes so virtual FS can be updated if changed.
(0006839)
SXX (administrator)
2016-10-16 11:07

And if there no simple way to do that we probably can simply rescan directories (like maps and saves) each time appropriate screen accessed.
(0006841)
vmarkovtsev (developer)
2016-10-16 11:46

Sure, will look at it
(0006842)
AVS (administrator)
2016-10-16 23:54

fixed in https://github.com/vcmi/vcmi/pull/241 [^]
(0006847)
SXX (administrator)
2016-10-17 12:04

Thanks! Tested, working fine!

- Issue History
Date Modified Username Field Change
2015-02-11 01:03 SXX New Issue
2015-02-11 06:07 SXX Summary On Linux game don't detect new files added to Maps directory => On Linux game don't detect new files added to Maps directory till restart
2016-10-16 11:01 SXX Assigned To => vmarkovtsev
2016-10-16 11:01 SXX Status new => assigned
2016-10-16 11:04 SXX Note Added: 0006838
2016-10-16 11:07 SXX Note Added: 0006839
2016-10-16 11:46 vmarkovtsev Note Added: 0006841
2016-10-16 23:54 AVS Note Added: 0006842
2016-10-16 23:54 AVS Status assigned => resolved
2016-10-16 23:54 AVS Fixed in Version => 0.99
2016-10-16 23:54 AVS Resolution open => fixed
2016-10-17 12:04 SXX Note Added: 0006847

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean